Bug 483321 - alsa-firmware : Unowned directories
alsa-firmware : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-firmware (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:31 EST by Michael Schwendt
Modified: 2009-04-25 08:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-25 08:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:31:15 EST
One or more directories are not included within this
package and/or its sub-packages:

=> alsa-firmware-1.0.19-1.fc11.src.rpm
=> alsa-firmware-1.0.19-1.fc11.noarch (rawhide-development-i386)
/lib/firmware/ea
/lib/firmware/emu

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n alsa-firmware
Comment 1 Tim Jackson 2009-02-14 12:51:34 EST
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.